package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Region;
import com.lightinit.hsdatashow.entity.StWaterProject;
import com.lightinit.hsdatashow.entity.StWaterReservoir;
import com.lightinit.hsdatashow.entity.StWaterReservoirExample;
import java.util.List;

import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.topic.water.STChartModel;
import com.lightinit.hsdatashow.model.topic.water.STRainModel;
import com.lightinit.hsdatashow.model.topic.water.STRainSearchModel;
import org.apache.ibatis.annotations.Param;

public interface StWaterReservoirMapper {
    long countByExample(StWaterReservoirExample example);

    int deleteByExample(StWaterReservoirExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterReservoir record);

    int insertSelective(StWaterReservoir record);

    List<StWaterReservoir> selectByExample(StWaterReservoirExample example);

    StWaterReservoir selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterReservoir record, @Param("example") StWaterReservoirExample example);

    int updateByExample(@Param("record") StWaterReservoir record, @Param("example") StWaterReservoirExample example);

    int updateByPrimaryKeySelective(StWaterReservoir record);

    int updateByPrimaryKey(StWaterReservoir record);

    List<STChartModel> getxunqiyujing();

    List<STChartModel> getjinribaoyu();

    List<STChartModel> getjinrijiangyubianhua();

    Object getquanshikeyongzongshuiliang();

    Object getquanshixushuizongliang();

    Object getquanshijianchezhanzongshu();

    List<STChartModel> getgeshuikukeyongshuiliang();

    List<STChartModel> getshuikugeyueshuiliang();

    List<STChartModel> getgeshuikuxushuiliang();

    List<STChartModel> getgeshuikuxushuiliangbianhua();

    List<STChartModel> getjiancezhangouchengtu();

    Object getquanshigongchengzongshu();

  /*  List<STChartModel> getgeqvxianguochengtu();*/
    List<STChartModel> getgeqvxianguochengtu(@Param("stationType") String stationType);

    List<STChartModel> getgongchengguozaotu();

   /* List<STChartModel> getqvxiangongchenggouzaotu();*/
    List<STChartModel> getqvxiangongchenggouzaotu(@Param("projectType")String projectType);

    List<STChartModel> getbenshigeshuikuxushuiliangyuduonianjunzhibijiao();

    List<STChartModel> getgeshigeshuikuxushuinengli();

    List<STChartModel> getquanshenggeshuikuxushuiliangbianhua();

    List<STChartModel> getquanshenggeshuikuxushuinengli();

    Object getbenshishangyoubenyuelaishuizongliang();

    Object getquanshixiayueyujilaishuizongliang();

    Object getquanshixiayueyucekeyongzongshuiliang();

    List<STChartModel> getjiangyuliang();

    List<STChartModel> getbenshibenyuejiangyubianhua();

    List<STChartModel> getjinnianjiangyubianhua();

    List<STChartModel> getjinrijiangyuyuzhoubiandishibijiao();

    List<STChartModel> getbenyuejiangyuyuzhoubiandishibijiao();

    List<STChartModel> getjinnianjiangyuyuzhoubiandishibijiao();

    List<STChartModel> getlinianjiangyuyuzhoubianbijiao();

    List<STChartModel> getbenshilinianjiangyubianhua();

    List<STRainModel> getjiangyumingxichaxun(STRainSearchModel stRainSearchModel);

    int getjiangyumingxichaxunTotal(STRainSearchModel stRainSearchModel);

    List<Region> getRegion();

    List<STRainModel> getjiangyuliangfenxibijiao(STRainSearchModel stRainSearchModel);

    int getjiangyuliangfenxibijiaoTotal(STRainSearchModel stRainSearchModel);

    List<STChartModel> getlianxuganhantu();

    List<StWaterProject> getgongchengfengbutu();

    List<STChartModel> getgeqvxiangongchengshu();
}